<?php
function loadEnvironment() {
 
    $externalEnv = '/home/intaleq-walletintaleq/env/.env';

    if (file_exists($externalEnv)) {
        $env_file = $externalEnv;
    } else {
        error_log("❌ .env not found in both locations.");
        return false;
    }

    $lines = file($env_file, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
    foreach ($lines as $line) {
        $line = trim($line);
        if (empty($line) || strpos($line, '#') === 0) continue;
        $parts = explode('=', $line, 2);
        if (count($parts) === 2) {
            [$keyName, $value] = $parts;
            $value = trim($value, "'\"");
            putenv("$keyName=$value");
        }
    }
    return true;
}